Driver License Internet Browser Requirements

Does it matter what browser I'm using?

The current DMV website has been tested using the following web browsers:

  • Chrome
  • Internet Explorer 7
  • Internet Explorer 8 (in Compatibility View)
  • Mozilla Firefox (versions 3.5.7, 3.6.3, and 3.6.6)
  • Safari

You should be able to use any one of those browsers to access DMV's online applications. Whichever browser you choose, for security reasons we STRONGLY suggest you use the latest version of that browser. Browser developers are constantly upgrading/improving their products to help prevent hacking, security breaches, and identity theft. Only the latest version of your bowser-of-choice has the most recent security upgrades. To find out what version of web browser you have, click now on "Help" from the menu bar at the top of your screen. From the drop-down menu that appears, select "About." A box will open on which the version number of your browser can be read.

Your browser must also be able to process JavaScript (be JavaScript enabled).

You can use these links to download the latest versions of the free browsers: